# class AbstractVideoOutput

###

Module | phonon
Namespace | Phonon
Class | AbstractVideoOutput
Inherits | Phonon::MediaNode

\class AbstractVideoOutput abstractvideooutput.h Phonon/AbstractVideoOutput Common base class for all video outputs.

See also VideoWidget

### methods

- AbstractVideoOutput (d)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  d | AbstractVideoOutputPrivate |

  Internal Constructor that is called from derived classes.

  parent - Standard QObject parent.